package com.ecep.contract.controller.table.cell;

import com.ecep.contract.SpringApp;
import com.ecep.contract.service.ContractTypeService;
import com.ecep.contract.vo.ContractTypeVo;

import lombok.NoArgsConstructor;

@NoArgsConstructor
public class ContractTypeTableCell<V> extends AsyncUpdateTableCell<V, Integer, ContractTypeVo> {
    public ContractTypeTableCell(ContractTypeService contractService) {
        setService(contractService);
    }

    @Override
    protected ContractTypeService getServiceBean() {
        return SpringApp.getBean(ContractTypeService.class);
    }
}
